Main Page Packages Class Hierarchy Compound List File List Compound Members

# notationgetsystemid Class Reference

Inherits DOMTestCase.

List of all members.

## Public Methods
| notationgetsystemid (DOMTestDocumentBuilderFactory factory)
void | runTest () throws java.lang.Throwable
String | getTargetURI ()
## Static Public Methods
void | main (String[] args)

## Detailed Description

The "getSystemId()" method of a Notation node contains the system identifier associated with the notation, if one was specified.

Retrieve the notation named "notation2" and access its system identifier. The string "notation2File" should be returned.

Author:
  NIST , Mary Brady

See also:
  http://www.w3.org/TR/1998/REC-DOM-Level-1-19981001/level-one-core#ID-E8AAB1D0

Definition at line 45 of file notationgetsystemid.java.

## Constructor & Destructor Documentation

notationgetsystemid::notationgetsystemid | ( | DOMTestDocumentBuilderFactory | factory | ) | `[inline]`

| Definition at line 47 of file notationgetsystemid.java.
    00048  {
    00049       super(factory);
    00050
    00051    }

## Member Function Documentation

String notationgetsystemid::getTargetURI | ( |  | ) | `[inline, virtual]`

| Reimplemented from DOMTest. Definition at line 68 of file notationgetsystemid.java.
    00068                                 {
    00069       return "http://www.w3.org/2001/DOM-Test-Suite/level1/core/notationgetsystemid";
    00070    }

void notationgetsystemid::main | ( | String | args[] | ) | `[inline, static]`

| Definition at line 71 of file notationgetsystemid.java. References DOMTestCase::doMain().
    00071                                           {
    00072         DOMTestCase.doMain(notationgetsystemid.class,args);
    00073    }

void notationgetsystemid::runTest | ( |  | ) | `[inline, virtual]`

| Reimplemented from DOMTestCase. Definition at line 53 of file notationgetsystemid.java. References DOMTestCase::assertURIEquals(), and DOMTest::load().
    00053                                                     {
    00054       Document doc;
    00055       DocumentType docType;
    00056       NamedNodeMap notations;
    00057       Notation notationNode;
    00058       String systemId;
    00059       int index;
    00060       doc = load("staff");
    00061       docType = doc.getDoctype();
    00062       notations = docType.getNotations();
    00063       notationNode = (Notation)notations.getNamedItem("notation2");
    00064       systemId = notationNode.getSystemId();
    00065       assertURIEquals("uriEquals",null,null,null,"notation2File",null,null,null,systemId);
    00066
    00067    }

The documentation for this class was generated from the following file:

- notationgetsystemid.java